{% if product.active_packs.all|length %}
    <div id="vue-wrapper-packaging-mode">
        <div class="item-buy-buttons">
            <a href="#" class="t-btn"
                @click="togglePackagingMode"
                :class="{ 'not-active': !isItemPurchaseModeActive}">Купить поштучно</a>
            <a href="#" class="t-btn"
                @click="togglePackagingMode"
                :class="{'not-active': isItemPurchaseModeActive}">Купить в упаковке</a>
        </div>
        <div v-if="!isItemPurchaseModeActive" class="amount-in-package">
            <div class="option-list radio-list">
                <div v-for="pack in packs" :key="pack.id" class="option-item">
                    <label class="toggle t-label-variant2">
                        <input
                            type="radio"
                            :value="pack.id"
                            :checked="pack.id === selectedPack.id"
                            @change="onSelectPack(pack)">
                        <p></p>
                        <span class="option-name">по [[pack.count]] шт. в упаковке</span>
                    </label>
                </div>
            </div>
        </div>
    </div>
{% endif %}


{% block scripts %}

    <script type="text/javascript">
        new Vue({
            el: '#vue-wrapper-packaging-mode',
            delimiters: ['[[', ']]'],
            data() {
                return {
                    productId: "{{ product.pk }}",
                    isItemPurchaseModeActive: true,
                    packs: null,
                    selectedPack: null
                }
            },
            created() {

                const url = `/api/products/${this.productId}/packs/`
                unauthorizedGet(url).then(response => {
                    this.packs = response;
                    this.selectedPack = response[0]
                })
            },
            methods: {
                togglePackagingMode() {
                    this.isItemPurchaseModeActive = !this.isItemPurchaseModeActive;
                },
                onSelectPack(pack){
                    this.selectedPack = pack;
                }
            },
        });
    </script>
{% endblock %}